Debian Bug report logs - #542842
Log for failed build of haskell-hsh_2.0.3-1 on sparc (dist=unstable)

version graph

Package: haskell-hsh; Maintainer for haskell-hsh is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Martin Zobel-Helas <zobel@ftbfs.de>

Date: Fri, 21 Aug 2009 18:36:02 UTC

Severity: serious

Found in version 2.0.3-1

Fixed in version haskell-hsh/2.0.3-3

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Fri, 21 Aug 2009 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@ftbfs.de>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 21 Aug 2009 18:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@ftbfs.de>
To: submit@bugs.debian.org
Subject: Re: Log for failed build of haskell-hsh_2.0.3-1 on sparc (dist=unstable)
Date: Fri, 21 Aug 2009 20:33:48 +0200
Package: haskell-hsh
Version: 2.0.3-1
Severity: serious

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), haddock, libghc6-mtl-dev, libghc6-missingh-dev (>= 1.1.0.1-1), libghc6-hslogger-dev (>= 1.0.8-2), libghc6-utf8-string-dev


> Checking correctness of source dependencies...
> Kernel: Linux 2.6.26-2-sparc64-smp sparc (sparc64)
> Toolchain package versions: libc6-dev_2.9-25 linux-libc-dev_2.6.30-6 g++-4.3_4.3.4-1 gcc-4.3_4.3.4-1 binutils_2.19.51.20090805-1 libstdc++6_4.4.1-2 libstdc++6-4.3-dev_4.3.4-1

[...]

> [5 of 9] Compiling TestUtils        ( testsrc/TestUtils.hs, dist/build/runtests/runtests-tmp/TestUtils.o )
> [6 of 9] Compiling ShellEquivsTest  ( testsrc/ShellEquivsTest.hs, dist/build/runtests/runtests-tmp/ShellEquivsTest.o )
> [7 of 9] Compiling Core             ( testsrc/Core.hs, dist/build/runtests/runtests-tmp/Core.o )
> [8 of 9] Compiling Tests            ( testsrc/Tests.hs, dist/build/runtests/runtests-tmp/Tests.o )
> [9 of 9] Compiling Main             ( testsrc/runtests.hs, dist/build/runtests/runtests-tmp/Main.o )
> Linking dist/build/runtests/runtests ...
> /usr/bin/ld: cannot find -lHSrts_thr
> collect2: ld returned 1 exit status
> make[1]: *** [test-ghc] Error 1
> make[1]: Leaving directory `/build/buildd-haskell-hsh_2.0.3-1-sparc-upFjHR/haskell-hsh-2.0.3'
> make: *** [install] Error 2
> dpkg-buildpackage: error: /usr/bin/fakeroot debian/rules binary-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Fri, 21 Aug 2009 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 21 Aug 2009 18:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 542842@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 542842@bugs.debian.org
Subject: Similar to #541679
Date: Fri, 21 Aug 2009 18:49:26 +0000
[Message part 1 (text/plain, inline)]
Hi John,

I have hit a similar problem with hlint:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541679

I guess you’ll have to make the -parallel parameter depend on a cabal
flag, and that it based on the arch you are compiling on, or dynamically
based on the existence of the threaded runtime.

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Fri, 21 Aug 2009 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 21 Aug 2009 19:45:04 GMT) Full text and rfc822 format available.

Message #15 received at 542842@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Joachim Breitner <nomeata@debian.org>, 542842@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#542842: Similar to #541679
Date: Fri, 21 Aug 2009 14:34:17 -0500
On Fri, Aug 21, 2009 at 06:49:26PM +0000, Joachim Breitner wrote:
> Hi John,
> 
> I have hit a similar problem with hlint:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541679
> 
> I guess you???ll have to make the -parallel parameter depend on a cabal
> flag, and that it based on the arch you are compiling on, or dynamically
> based on the existence of the threaded runtime.

Thank you for the hint!  I use -threaded (not -parallel) in the
.cabal, but I did notice a hackage warning recently saying that
-threaded has no impact on libraries.  Aside from the tests, HSH is
library only.  I'll see about just removing -threaded entirely.

[ later ]

Oh drat, now I'm confused.  The problem was when it tried to run
tests.  Does this mean that sparc64 doesn't support threaded RTS?  HSH
does now require threaded RTS, I believe.

-- John




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Fri, 21 Aug 2009 23:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 21 Aug 2009 23:42:07 GMT) Full text and rfc822 format available.

Message #20 received at 542842@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: John Goerzen <jgoerzen@complete.org>, 542842@bugs.debian.org
Cc: debian-wb-team@lists.debian.org
Subject: HSH only on arches with threaded RTS?
Date: Sat, 22 Aug 2009 01:36:21 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 21.08.2009, 14:34 -0500 schrieb John Goerzen:
> On Fri, Aug 21, 2009 at 06:49:26PM +0000, Joachim Breitner wrote:
> > Hi John,
> > 
> > I have hit a similar problem with hlint:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541679
> > 
> > I guess you???ll have to make the -parallel parameter depend on a cabal
> > flag, and that it based on the arch you are compiling on, or dynamically
> > based on the existence of the threaded runtime.
> 
> Thank you for the hint!  I use -threaded (not -parallel) in the
> .cabal, but I did notice a hackage warning recently saying that
> -threaded has no impact on libraries.  Aside from the tests, HSH is
> library only.  I'll see about just removing -threaded entirely.
> 
> [ later ]
> 
> Oh drat, now I'm confused.  The problem was when it tried to run
> tests.  Does this mean that sparc64 doesn't support threaded RTS?  HSH
> does now require threaded RTS, I believe.

yes, some arches just do not have the threaded RTS. If HSH does not work
there, then that’s the way it is. Although I’m not sure what’s the
correct step then (Set the correct arches in the Arch: line, or asking
for an entry in the packages-arch-specific file. Probably the latter,
I’m CC’ing the wanna-build team as they might know.)

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Sat, 22 Aug 2009 00:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 22 Aug 2009 00:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 542842@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: John Goerzen <jgoerzen@complete.org>
Cc: debian-wb-team@lists.debian.org, 542842@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#542842: HSH only on arches with threaded RTS?
Date: Sat, 22 Aug 2009 02:36:37 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 22.08.2009, 01:36 +0200 schrieb Joachim Breitner:
> Am Freitag, den 21.08.2009, 14:34 -0500 schrieb John Goerzen:
> > On Fri, Aug 21, 2009 at 06:49:26PM +0000, Joachim Breitner wrote:
> > > Hi John,
> > > 
> > > I have hit a similar problem with hlint:
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541679
> > > 
> > > I guess you???ll have to make the -parallel parameter depend on a cabal
> > > flag, and that it based on the arch you are compiling on, or dynamically
> > > based on the existence of the threaded runtime.
> > 
> > Thank you for the hint!  I use -threaded (not -parallel) in the
> > .cabal, but I did notice a hackage warning recently saying that
> > -threaded has no impact on libraries.  Aside from the tests, HSH is
> > library only.  I'll see about just removing -threaded entirely.
> > 
> > [ later ]
> > 
> > Oh drat, now I'm confused.  The problem was when it tried to run
> > tests.  Does this mean that sparc64 doesn't support threaded RTS?  HSH
> > does now require threaded RTS, I believe.
> 
> yes, some arches just do not have the threaded RTS. If HSH does not work
> there, then that’s the way it is. Although I’m not sure what’s the
> correct step then (Set the correct arches in the Arch: line, or asking
> for an entry in the packages-arch-specific file. Probably the latter,
> I’m CC’ing the wanna-build team as they might know.)

here some information from KiBi:

<KiBi> nomeata: Setting Architecture: properly isn't sufficient, you also need to be in nfu or pas.
<nomeata> KiBi: and which one is the “correct” solution?
<KiBi> depends. IMHO, for something that might be transient, nfu. pas otherwise.
<KiBi> You can easily ask a buildd maintainer to add/remove stuff from not-for-us
<KiBi> for p-a-s, you have to get to the wb admins AFAICT
<KiBi> Like “maybe your arch just got support for foo, please try a build” → easy when in nfu, not when in pas.
<KiBi> (please bear in mind I'm still new. ;p)
<nomeata> thx, I’ll forward that to the maintainer

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Sat, 22 Aug 2009 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 22 Aug 2009 13:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 542842@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Joachim Breitner <nomeata@debian.org>
Cc: John Goerzen <jgoerzen@complete.org>, 542842@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: HSH only on arches with threaded RTS?
Date: Sat, 22 Aug 2009 15:31:07 +0200
On Sat, Aug 22, 2009 at 01:36:21AM +0200, Joachim Breitner wrote:
> Hi,
> 
> Am Freitag, den 21.08.2009, 14:34 -0500 schrieb John Goerzen:
> > On Fri, Aug 21, 2009 at 06:49:26PM +0000, Joachim Breitner wrote:
> > > Hi John,
> > > 
> > > I have hit a similar problem with hlint:
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541679
> > > 
> > > I guess you???ll have to make the -parallel parameter depend on a cabal
> > > flag, and that it based on the arch you are compiling on, or dynamically
> > > based on the existence of the threaded runtime.
> > 
> > Thank you for the hint!  I use -threaded (not -parallel) in the
> > .cabal, but I did notice a hackage warning recently saying that
> > -threaded has no impact on libraries.  Aside from the tests, HSH is
> > library only.  I'll see about just removing -threaded entirely.
> > 
> > [ later ]
> > 
> > Oh drat, now I'm confused.  The problem was when it tried to run
> > tests.  Does this mean that sparc64 doesn't support threaded RTS?  HSH
> > does now require threaded RTS, I believe.
> 
> yes, some arches just do not have the threaded RTS. If HSH does not work
> there, then that's the way it is. Although I'm not sure what's the
> correct step then (Set the correct arches in the Arch: line, or asking
> for an entry in the packages-arch-specific file. Probably the latter,
> I'm CC'ing the wanna-build team as they might know.)

I suggest you start by changing it so that it fails early in the
built process and that it's clear that the arch isn't supported
(yet).  Is there something you can run at built time to test it?
I would recommend such a test in any case.

Restricting the arch list will probably make it fail early, and
should work just as well.

We can also add it to Packages-arch-specific to stop attempting
to built on the arches that aren't supported.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Thu, 21 Jan 2010 18:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 21 Jan 2010 18:36:10 GMT) Full text and rfc822 format available.

Message #35 received at 542842@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 542842@bugs.debian.org
Subject: Code similar to hlint
Date: Thu, 21 Jan 2010 16:34:34 -0200
Hi.

Wouldn't a line like:

DEB_SETUP_GHC6_CONFIGURE_ARGS := $(shell test -e /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a && echo -f-threaded)

in rules would fix it?

Greetings.
-- 
marcot
http://marcot.iaaeee.org/






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#542842; Package haskell-hsh. (Sat, 23 Jan 2010 16:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 23 Jan 2010 16:09:03 GMT) Full text and rfc822 format available.

Message #40 received at 542842@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Marco Túlio Gontijo e Silva <marcot@riseup.net>, 542842@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#542842: Code similar to hlint
Date: Sat, 23 Jan 2010 17:02:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Donnerstag, den 21.01.2010, 16:34 -0200 schrieb Marco Túlio Gontijo e
Silva:
> Wouldn't a line like:
> 
> DEB_SETUP_GHC6_CONFIGURE_ARGS := $(shell test -e /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a && echo -f-threaded)
> 
> in rules would fix it?

only if the cabal file specifies a flag "threaded". With the hlint
package, it first had to be added. Compare
http://hackage.haskell.org/packages/archive/hlint/1.6.6/hlint.cabal
and
http://hackage.haskell.org/packages/archive/hlint/1.6.7/hlint.cabal

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Fri, 07 May 2010 17:51:03 GMT) Full text and rfc822 format available.

Notification sent to Martin Zobel-Helas <zobel@ftbfs.de>:
Bug acknowledged by developer. (Fri, 07 May 2010 17:51:04 GMT) Full text and rfc822 format available.

Message #45 received at 542842-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 542842-close@bugs.debian.org
Subject: Bug#542842: fixed in haskell-hsh 2.0.3-3
Date: Fri, 07 May 2010 17:47:19 +0000
Source: haskell-hsh
Source-Version: 2.0.3-3

We believe that the bug you reported is fixed in the latest version of
haskell-hsh, which is due to be installed in the Debian FTP archive:

haskell-hsh_2.0.3-3.diff.gz
  to main/h/haskell-hsh/haskell-hsh_2.0.3-3.diff.gz
haskell-hsh_2.0.3-3.dsc
  to main/h/haskell-hsh/haskell-hsh_2.0.3-3.dsc
libghc6-hsh-dev_2.0.3-3_amd64.deb
  to main/h/haskell-hsh/libghc6-hsh-dev_2.0.3-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542842@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-hsh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 07 May 2010 19:44:27 +0200
Source: haskell-hsh
Binary: libghc6-hsh-dev
Architecture: source amd64
Version: 2.0.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 libghc6-hsh-dev - Library to mix shell scripting with Haskell programs
Closes: 542842
Changes: 
 haskell-hsh (2.0.3-3) unstable; urgency=low
 .
   * Add threaded flag to cabal file and implement logic in debian/rules to
     detect whether a threaded runtime is available at build time. (Closes:
     #542842)
Checksums-Sha1: 
 8ee8f3fb0169b36dc319235d4835ec4737c76278 1406 haskell-hsh_2.0.3-3.dsc
 cb3cc87ad1be2093b2cb5d14a23fade7d1dcf506 9023 haskell-hsh_2.0.3-3.diff.gz
 0f0d31d504d51ca454b992494f91f8907b77841b 140200 libghc6-hsh-dev_2.0.3-3_amd64.deb
Checksums-Sha256: 
 165aeb79dc6773611872e47165a8ae240f4179fa78c03e9a97e641a68033bf4f 1406 haskell-hsh_2.0.3-3.dsc
 1feb1612c1d2ecb7b8ea630f457e60bfd1d73a91b65f089bd6f2d8dae1628941 9023 haskell-hsh_2.0.3-3.diff.gz
 eb70cc00778a12d397efb57458d0332a4f5dd9112b156d6b8a27d49b3e2b8d88 140200 libghc6-hsh-dev_2.0.3-3_amd64.deb
Files: 
 e44c7c436fe5a277924c0a3f14aa39a2 1406 haskell optional haskell-hsh_2.0.3-3.dsc
 c6e3b1c0bfdadf42f6979c55b7a15909 9023 haskell optional haskell-hsh_2.0.3-3.diff.gz
 00c5df73a8b6d43800065a5c7744d39a 140200 haskell optional libghc6-hsh-dev_2.0.3-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvkUaMACgkQ9ijrk0dDIGyymACfe5rkbq1askhlajkQhzSjuQ2j
1LwAn2gCyn5YlKuQI8jxImukFdYaH8/R
=Ny6x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Jun 2010 07:36:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:41:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.